org.eclipse.microprofile.jwt.tck.util

## Enum MpJwtTestVersion

- java.lang.Object
- - java.lang.Enum<MpJwtTestVersion>
  - - org.eclipse.microprofile.jwt.tck.util.MpJwtTestVersion

All Implemented Interfaces:
  Serializable, Comparable<MpJwtTestVersion>

    public enum MpJwtTestVersion
    extends Enum<MpJwtTestVersion>

An enum used to identify which version of the MP-JWT a TCK test war is targeting. The target version can be found by loading the META-INF/MPJWTTESTVERSION resource from the test war and converting it to the MpJwtTestVersion value.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MPJWT_V_1_0`
`MPJWT_V_1_1`
`MPJWT_V_1_2`

### Field Summary

Fields
`static String` `MANIFEST_NAME`
`static String` `VERSION_LOCATION`

### Method Summary

All Methods Static Methods Concrete Methods
`static MpJwtTestVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MpJwtTestVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MPJWT_V_1_0

    public static final MpJwtTestVersion MPJWT_V_1_0

#### MPJWT_V_1_1

    public static final MpJwtTestVersion MPJWT_V_1_1

#### MPJWT_V_1_2

    public static final MpJwtTestVersion MPJWT_V_1_2

### Field Detail

#### VERSION_LOCATION

    public static final String VERSION_LOCATION

See Also:
  Constant Field Values

#### MANIFEST_NAME

    public static final String MANIFEST_NAME

See Also:
  Constant Field Values

### Method Detail

#### values

    public static MpJwtTestVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MpJwtTestVersion c : MpJwtTestVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MpJwtTestVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null